/*
	File:		MathFSet.h

	Contains:	Common header file for all function sets with the
				"Math" interface.

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

*/


#ifndef __MATHFSET__
#define __MATHFSET__

// Here we define an interface id that will be common to all the
// function sets that share the same interface

#define kMathFSetInterfaceID	"appl:math$Math,1.1"

// Here we define a names that the functions will be given so the
// user can lookup them up with GetFunctionPointer().

#define kMathFunctionName1	"MathFunction1"
#define kMathFunctionName2	"MathFunction2"

// Here we define the interface to each of the functions so the user knows
// what to cast the result of GetFunctionPointer() to.

typedef int	(*MathFunction1ProcPtr)(int, int);
typedef int	(*MathFunction2ProcPtr)(int, int, int);

// The prototypes for the functions are so the function set writers are
// sure to get the interface right.

int MathFunction1(int a, int b);
int MathFunction2(int a, int b, int c);


#endif